Archive the PubSubHubbub extension
Closed, ResolvedPublicRequest

Description

Reason:

The PubSubHubbub extension has been developed by two students in 2014 (Alexander Lehmann and Sebastian.Brueckner).

The intent was to create an internal push notification system, but it never get used in our architecture. We nowadays have change propagation which I guess would cover the need.

Anyway, @Lydia_Pintscher on T48525#1044776 explains how the extension is no more being worked on.

So I guess we should archive it. It can always be restored later on.

hashar created this task.Jun 27 2018, 12:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 27 2018, 12:40 PM
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptJun 27 2018, 12:54 PM
Dinoguy1000 updated the task description. (Show Details)Jun 27 2018, 6:34 PM

Fine from my side :)

Change 443393 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Archive PubSubHubbub extension

https://gerrit.wikimedia.org/r/443393

hashar updated the task description. (Show Details)Jul 2 2018, 10:39 AM

Change 443393 merged by jenkins-bot:
[integration/config@master] Archive PubSubHubbub extension

https://gerrit.wikimedia.org/r/443393

Change 443395 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/PubSubHubbub@master] Archive the PubSubHubbub extension

https://gerrit.wikimedia.org/r/443395

Change 443397 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[translatewiki@master] Archive the PubSubHubbub extension

https://gerrit.wikimedia.org/r/443397

Change 443395 merged by Hashar:
[mediawiki/extensions/PubSubHubbub@master] Archive the PubSubHubbub extension

https://gerrit.wikimedia.org/r/443395

hashar updated the task description. (Show Details)Jul 2 2018, 10:49 AM

Change 443400 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions@master] Archive the PubSubHubbub extension

https://gerrit.wikimedia.org/r/443400

Change 443400 merged by MarcoAurelio:
[mediawiki/extensions@master] Archive the PubSubHubbub extension

https://gerrit.wikimedia.org/r/443400

MarcoAurelio updated the task description. (Show Details)

Change 443397 merged by jenkins-bot:
[translatewiki@master] Archive the PubSubHubbub extension

https://gerrit.wikimedia.org/r/443397

MarcoAurelio moved this task from Backlog to delete on the GitHub-Mirrors board.

Mentioned in SAL (#wikimedia-releng) [2018-07-02T16:35:49Z] <hashar> github: delete wikimedia/mediawiki-extensions-PubSubHubbub | T198322

hashar closed this task as Resolved.Jul 2 2018, 4:36 PM
hashar updated the task description. (Show Details)